/** @docs-private */
export interface IClickPosition {
    x: number;
    y: number;
}
/** @docs-private */
export declare class ModalUtil {
    private document?;
    private lastPosition;
    constructor(document?: Document | undefined);
    getLastClickPosition(): IClickPosition;
    listenDocumentClick(): void;
}
/** @docs-private */
export declare const modalUtilObject: ModalUtil;
